VULKAN_HPP_NAMESPACE::DrawIndirectCommand Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DrawIndirectCommand (uint32_t vertexCount_=0, uint32_t instanceCount_=0, uint32_t firstVertex_=0, uint32_t firstInstance_=0)
| DrawIndirectCommand (VkDrawIndirectCommand const &rhs)
DrawIndirectCommand & | operator= (VkDrawIndirectCommand const &rhs)
DrawIndirectCommand & | setVertexCount (uint32_t vertexCount_)
DrawIndirectCommand & | setInstanceCount (uint32_t instanceCount_)
DrawIndirectCommand & | setFirstVertex (uint32_t firstVertex_)
DrawIndirectCommand & | setFirstInstance (uint32_t firstInstance_)
| operator VkDrawIndirectCommand const & () const
| operator VkDrawIndirectCommand & ()
bool | operator== (DrawIndirectCommand const &rhs) const
bool | operator!= (DrawIndirectCommand const &rhs) const

## Data Fields

uint32_t | vertexCount
uint32_t | instanceCount
uint32_t | firstVertex
uint32_t | firstInstance

## Detailed Description

Definition at line 6845 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DrawIndirectCommand() [1/2]

VULKAN_HPP_NAMESPACE::DrawIndirectCommand::DrawIndirectCommand | ( | uint32_t | vertexCount_ = `0`,
|  | uint32_t | instanceCount_ = `0`,
|  | uint32_t | firstVertex_ = `0`,
|  | uint32_t | firstInstance_ = `0`
| ) |  |

inline

Definition at line 6847 of file vulkan.hpp.

: vertexCount( vertexCount_ )
, instanceCount( instanceCount_ )
, firstVertex( firstVertex_ )
, firstInstance( firstInstance_ )
{
}

## DrawIndirectCommand() [2/2]

VULKAN_HPP_NAMESPACE::DrawIndirectCommand::DrawIndirectCommand | ( | VkDrawIndirectCommand const & | rhs | ) |

inline

Definition at line 6858 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrawIndirectCommand ) );
}

References memcpy.

## Member Function Documentation

## operator VkDrawIndirectCommand &()

VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator VkDrawIndirectCommand & | ( |  | ) |

inline

Definition at line 6897 of file vulkan.hpp.

{
return *reinterpret_cast<VkDrawIndirectCommand*>(this);
}

## operator VkDrawIndirectCommand const &()

VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator VkDrawIndirectCommand const & | ( |  | ) | const

inline

Definition at line 6892 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDrawIndirectCommand*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator!= | ( | DrawIndirectCommand const & | rhs | ) | const

inline

Definition at line 6910 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DrawIndirectCommand& VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator= | ( | VkDrawIndirectCommand const & | rhs | ) |

inline

Definition at line 6863 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DrawIndirectCommand ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator== | ( | DrawIndirectCommand const & | rhs | ) | const

inline

Definition at line 6902 of file vulkan.hpp.

{
return ( vertexCount == rhs.vertexCount )
&& ( instanceCount == rhs.instanceCount )
&& ( firstVertex == rhs.firstVertex )
&& ( firstInstance == rhs.firstInstance );
}

References firstInstance, firstVertex, instanceCount, and vertexCount.

Referenced by operator!=().

## setFirstInstance()

DrawIndirectCommand& VULKAN_HPP_NAMESPACE::DrawIndirectCommand::setFirstInstance | ( | uint32_t | firstInstance_ | ) |

inline

Definition at line 6886 of file vulkan.hpp.

{
firstInstance = firstInstance_;
return *this;
}

References firstInstance.

## setFirstVertex()

DrawIndirectCommand& VULKAN_HPP_NAMESPACE::DrawIndirectCommand::setFirstVertex | ( | uint32_t | firstVertex_ | ) |

inline

Definition at line 6880 of file vulkan.hpp.

{
firstVertex = firstVertex_;
return *this;
}

References firstVertex.

## setInstanceCount()

DrawIndirectCommand& VULKAN_HPP_NAMESPACE::DrawIndirectCommand::setInstanceCount | ( | uint32_t | instanceCount_ | ) |

inline

Definition at line 6874 of file vulkan.hpp.

{
instanceCount = instanceCount_;
return *this;
}

References instanceCount.

## setVertexCount()

DrawIndirectCommand& VULKAN_HPP_NAMESPACE::DrawIndirectCommand::setVertexCount | ( | uint32_t | vertexCount_ | ) |

inline

Definition at line 6868 of file vulkan.hpp.

{
vertexCount = vertexCount_;
return *this;
}

References vertexCount.

## Field Documentation

## firstInstance

uint32_t VULKAN_HPP_NAMESPACE::DrawIndirectCommand::firstInstance

Definition at line 6918 of file vulkan.hpp.

Referenced by operator==(), and setFirstInstance().

## firstVertex

uint32_t VULKAN_HPP_NAMESPACE::DrawIndirectCommand::firstVertex

Definition at line 6917 of file vulkan.hpp.

Referenced by operator==(), and setFirstVertex().

## instanceCount

uint32_t VULKAN_HPP_NAMESPACE::DrawIndirectCommand::instanceCount

Definition at line 6916 of file vulkan.hpp.

Referenced by operator==(), and setInstanceCount().

## vertexCount

uint32_t VULKAN_HPP_NAMESPACE::DrawIndirectCommand::vertexCount

Definition at line 6915 of file vulkan.hpp.

Referenced by operator==(), and setVertexCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DrawIndirectCommand::vertexCount
uint32_t vertexCount
Definition: vulkan.hpp:6915
VULKAN_HPP_NAMESPACE::DrawIndirectCommand::instanceCount
uint32_t instanceCount
Definition: vulkan.hpp:6916
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DrawIndirectCommand::firstInstance
uint32_t firstInstance
Definition: vulkan.hpp:6918
VULKAN_HPP_NAMESPACE::DrawIndirectCommand::firstVertex
uint32_t firstVertex
Definition: vulkan.hpp:6917
VULKAN_HPP_NAMESPACE::DrawIndirectCommand::DrawIndirectCommand
DrawIndirectCommand(uint32_t vertexCount_=0, uint32_t instanceCount_=0, uint32_t firstVertex_=0, uint32_t firstInstance_=0)
Definition: vulkan.hpp:6847
VkDrawIndirectCommand
Definition: vulkan_core.h:2832
VULKAN_HPP_NAMESPACE::DrawIndirectCommand::operator==
bool operator==(DrawIndirectCommand const &rhs) const
Definition: vulkan.hpp:6902